# FileChange

interface FileChange

A change to a file.

#### Since

5.4

## Functions

getChangeType
Link copied to clipboard
abstract fun getChangeType(): ChangeType
The type of change to the file.
getFile
Link copied to clipboard
abstract fun getFile(): File
The file, which may no longer exist.
getFileType
Link copied to clipboard
abstract fun getFileType(): FileType
The file type of the file.
getNormalizedPath
Link copied to clipboard
abstract fun getNormalizedPath(): String
The normalized path of the file, as specified by the path normalization strategy.